# Knowledge Graph Search API . entities

## Instance Methods

Searches Knowledge Graph for entities that match the constraints. A list of matched entities will be returned in response, which will be in JSON-LD format and compatible with http://schema.org

### Method Details

`search(prefix=None, query=None, x__xgafv=None, types=None, indent=None, languages=None, ids=None, limit=None)`

    Searches Knowledge Graph for entities that match the constraints. A list of matched entities will be returned in response, which will be in JSON-LD format and compatible with http://schema.org

    Args:
      prefix: boolean, Enables prefix match against names and aliases of entities
      query: string, The literal query string for search.
      x__xgafv: string, V1 error format.
      types: string, Restricts returned entities with these types, e.g. Person (as defined in http://schema.org/Person). (repeated)
      indent: boolean, Enables indenting of json results.
      languages: string, The list of language codes (defined in ISO 693) to run the query with, e.g. 'en'. (repeated)
      ids: string, The list of entity id to be used for search instead of query string. (repeated)
      limit: integer, Limits the number of entities to be returned.

    Returns:
      An object of the form:

        { # Response message includes the context and a list of matching results which contain the detail of associated entities.
        "itemListElement": [ # The item list of search results.
          "",
        ],
        "type": "", # The schema type of top-level JSON-LD object, e.g. ItemList.
        "context": "", # The local context applicable for the response. See more details at http://www.w3.org/TR/json-ld/#context-definitions.
      }